## Retrieve the data to display a QR code

This endpoint returns the data needed to display a QR code for payment methods that support QR-based payments (like PromptPay).

You should only call this endpoint after `discover-next-action` returns `DISPLAY_QR`. The QR data may not be ready immediately
after creating the payment session - in this case you'll receive a `NOT_READY` error and should try again in a few seconds.

After displaying the QR code to your customer, you should continue polling `check-status` in the background to know when
they've completed the payment by scanning the code.

Note: Not all payment methods use QR codes. For methods that don't support QR codes, you'll receive a `NOT_SUPPORTED` error.

## Endpoint signature

```http
POST https://api.reservepay.com/sdk/retrieve-qr-data HTTP/1.1
Content-Type: application/json
Accept: application/json

{
  merchant_id: string,
  installation_id: string,
  payment_session_id: string,
}
```

Returns: string

## Request arguments

### `merchant_id` (string)

**Required**. Your merchant ID that uniquely identifies your account.

### `installation_id` (string)

**Required**. The installation ID for this platform (e.g. your iOS app, Android app, website, or terminal).

### `payment_session_id` (string)

**Required**. The ID of the payment session returned from `select-payment-method`.

## Errors specific to this endpoint

### `NOT_FOUND`

This error occurs when we cannot find the merchant account, installation, or payment session with the IDs provided. Double check that you are using the correct IDs.

### `NOT_READY`

This error occurs when the QR data is not yet ready. Wait a few seconds and try again.

### `NOT_SUPPORTED`

This error occurs when trying to get QR data for a payment method that doesn't support QR codes.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that is either deprecated or not yet released. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.
